跳转到主要内容
GET
/
v1
/
monitors
/
{monitor_id}
/
events
列出监控事件
curl --request GET \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "created": 123,
      "changed": true,
      "summary": "<string>",
      "snapshot_url": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "total_count": 123
}

授权

Authorization
string
header
必填

Bearer认证头格式为Bearer ,其中是你的认证令牌。

路径参数

monitor_id
string
必填
Pattern: ^monitor_

查询参数

limit
integer
默认值:25
必填范围: 1 <= x <= 100
cursor
string

来自 next_cursor 的不透明游标。

count_only
enum<string>

当为 true 时,仅返回 { "total_count": N }

可用选项:
true,
1

响应

事件页面或计数。

data
object[]
has_more
boolean
next_cursor
string | null
total_count
integer